<?php
declare(strict_types=1);

namespace App\Model;


class ParentModel
{
    /** @var ColorVo */
    private $color;
    /** @var string */
    private $content;

    public function __construct(string $content, ColorVo $color)
    {
        $this->content = $content;
        $this->color = $color;
    }

    /**
     * @return ColorVo
     */
    public function getColor(): ColorVo
    {
        return $this->color;
    }

    /**
     * @return string
     */
    public function getContent(): string
    {
        return $this->content;
    }
}
